#Query Virtual Account
#Request path
/api/v2/virtual/account/label/queryOne#Parameter list
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| virtualAccountNo | String | 64 | yes | Virtual Account number |
#Return value
| Name | Type | Length | Required | Description |
|---|---|---|---|---|
| virtualAccountName | String | 200 | yes | The name of the virtual account |
| virtualAccountNo | String | 64 | yes | Virtual Account number |
| status | String | 32 | yes | Virtual Account status: Enabled 、Disabled 、Deleted |
| identityType | String | 32 | no | User's document type: ● Personal type and use BVN check as "personal" ● Personal type and use NIN check is "personal_nin" ● The enterprise type and use CAC verification is "company" |
| licenseNumber | String | 64 | no | LicenseNumber ● If the document type is personal, the user’s BVN number will be passed ● If the certificate type is personal_nin, the user's NIN number is passed ● If the certificate type is company, pass the company’s CAC number. Note that it must start with RC or BN |
| String | 128 | no | User's E-mail address | |
| customerName | String | 200 | no | User's name ● Personal type :User's Name ● Company type:The company's name on CAC |
| accountReference | String | 120 | no | This is a reference field for the virtual account. |
#Error code
#Postman example
#request
curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/virtual/account/label/queryOne' \
--header 'Authorization: Bearer L231127063379321376521' \
--header 'countryCode: NG' \
--header 'Signature: ZqffQ7rqN5LvHO4cHAACLfa9ByO3brJmfQy10vRkOJSNLufz/FP45BzPrue35MoY2TiWsMs95BdrbMw1eosX0jznMlTyU7Q6y/BX77XD3XysBWaBBcNqKgjpOVbsVo46Idttg2dvdH8UgYv0dJ9zV/BlZQ8natl7KdTaTzAt9/OrEHmSBWTMLFnT4Uzw/CSSPLEH1zQROcveDDpGfeb6DMcipd5VToodah4CY5VluH2sb86dlVErk2iN5X/Nthpmoy5G83WB1LAz/wto34pmyTVMa+no4ZENGpCe6bIWlAsVefeGWRh80NWEwIKqv/DdC5qtGKnWF/Fj+HENr4ywlw==' \
--header 'content-type: application/json;charset=UTF-8' \
--data '{
"requestTime":1703152050141,
"version":"V2.0",
"nonceStr":"UoRJ1tq114nz05l9GYaKyNN446HNftUH",
"virtualAccountNo":"6664564951"
}'#response
{
"data": {
"identityType": "company",
"licenseNumber": "dasd141234114123",
"virtualAccountName": "PPTV2(Account Suffix of Institution)",
"virtualAccountNo": "6664564951",
"email": "2222@palmpay.com",
"customerName": "palmpayTester",
"status": "Enabled",
"accountReference": "accountReference example"
},
"respMsg": "success",
"respCode": "00000000",
"status": true
}